GetUsers
Shows the users of the specified account.
Allowed roles: Owner, Admin, Developer, Supervisor, User manager.
Example request: Get two first identities.
Authentication
AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value:
```
Authorization: Bearer $VOXIMPLANT_TOKEN
```
See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.
Query parameters
application_id
The application ID to filter
application_name
The application name part to filter
skill_id
The skill ID to filter
excluded_skill_id
The excluded skill ID to filter
acd_queue_id
The ACD queue ID to filter
excluded_acd_queue_id
The excluded ACD queue ID to filter
user_id
The user ID to filter
user_name
The user name part to filter
user_active
Whether the user is active to filter. Inactive users cannot log in to applications
user_display_name
The user display name part to filter
with_skills
Whether to get the bound skills
with_queues
Whether to get the bound queues
acd_status
The ACD status list separated by semicolons (;) to filter. The following values are possible: OFFLINE, ONLINE, READY, BANNED, IN_SERVICE, AFTER_SERVICE, TIMEOUT, DND
showing_skill_id
The skill to show in the 'skills' field output
count
The max returning record count
offset
The first N records are skipped in the output
order_by
The following values are available: ‘user_id’, ‘user_name’ and ‘user_display_name’
return_live_balance
Whether to get the user live balance
Response
Successful response
result
The UserInfoType records
total_count
The total found user count
count
The returned user count